#-----------------------------------------------------------------------------
%{?!dist:	%define	dist	.ok}
%define		__python	/usr/bin/python3
#-----------------------------------------------------------------------------
Name		:	fmt
Version		:	6.0.0
Release		:	14.8.0.0%{?dist}
Summary		:	An open-source formatting library for C++


Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	GPL
URL		:	https://github.com/fmtlib/fmt


Source0		:	%{name}-%{version}.tar.gz

#-----------------------------------------------------------------------------
Buildrequires	:	cmake
Buildrequires	:	ninja
Buildrequires	:	gcc
Buildrequires	:	%{__python}
Buildrequires	:	doxygen
#-----------------------------------------------------------------------------
%description
'%{name}' is an open-source formatting library for C++.
It can be used as a safe and fast alternative to (s)printf and iostreams.

#-----------------------------------------------------------------------------
%prep
%setup -q

#-----------------------------------------------------------------------------
#building application
%build

%{__mkdir_p} bld
pushd bld
cmake							\
	-G Ninja					\
	-D CMAKE_BUILD_TYPE='Release'			\
	-D CMAKE_INSTALL_PREFIX=%{_prefix}		\
	-D CMAKE_INSTALL_SYSCONFDIR=%{_sysconfdir}	\
	-D CMAKE_INSTALL_LIBDIR=%{_libdir}		\
	-D BUILD_SHARED_LIBS=TRUE			\
	..

cmake --build .
popd

#-----------------------------------------------------------------------------
%check
cmake							\
	--build bld					\
	--target test

#-----------------------------------------------------------------------------
%clean
%{__rm} -rf %{buildroot}

#-----------------------------------------------------------------------------
#installing program
%install
%{__rm} -rf %{buildroot}

DESTDIR="%{buildroot}"					\
cmake							\
	--build bld					\
	--target install

#adjusting include file
%{__ln_s}						\
	./chrono.h					\
	%{buildroot}%{_includedir}/%{name}/time.h
	
#-----------------------------------------------------------------------------
%files			
%defattr(-,root,root,-)
%doc README.rst
%license LICENSE.rst
%{_includedir}/%{name}/*.h
%{_libdir}/lib%{name}.so*
%{_libdir}/pkgconfig/%{name}.pc
%{_libdir}/cmake/%{name}/%{name}-*.cmake

#-----------------------------------------------------------------------------
%post
/usr/sbin/ldconfig

#-----------------------------------------------------------------------------
%postun
/usr/sbin/ldconfig

#-----------------------------------------------------------------------------
%changelog
